### Method

# Fwupd Report to_string

since: 1.8.8

#### Declaration [src]

    gchar*
    fwupd_report_to_string (
      FwupdReport* self
    )

#### Description [src]

Builds a text representation of the object.

Available since: 1.8.8

#### Return value

Type: `gchar*`

Text, or `NULL` for invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.